%define rel     2

Name:           icecream-monitor
Version:        3.3
Release:        %mkrel %rel
Summary:        GUI monitor for icecream distributed compiled system
License:        GPLv2+
Group:          Development/Tools
Url:            https://github.com/icecc/icemon
Source0:        https://github.com/icecc/icemon/archive/v%{version}/icemon-%{version}.tar.gz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(icecc)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  docbook2x
BuildRequires:  doxygen
Provides:       icemon = %{version}-%{release}
Obsoletes:      icemon < 1.0-2

%description
GUI Monitor for icecream distributed compiled system.

%files
%doc CHANGELOG.md README.md
%{_bindir}/icemon
%{_iconsdir}/*/*/*/icemon.*
%{_datadir}/applications/icemon.desktop
%{_mandir}/man1/icemon.1.*

#-----------------------------------------------------------------

%prep
%setup -q -n icemon-%{version}

%build
%cmake_qt5

%cmake_build

%install
%cmake_install


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 3.3-2.mga8
+ Revision: 1658575
- Rebuild for new Qt5

* Wed Jul 15 2020 daviddavid <daviddavid> 3.3-1.mga8
+ Revision: 1606243
- new version: 3.3

* Sat Feb 15 2020 umeabot <umeabot> 3.2.0-2.mga8
+ Revision: 1525627
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Apr 14 2019 daviddavid <daviddavid> 3.2.0-1.mga7
+ Revision: 1389980
- new version: 3.2.0

* Sat Mar 30 2019 umeabot <umeabot> 3.0.1-3.mga7
+ Revision: 1381914
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1298267
- Mageia 7 Mass Rebuild

* Sun Jan 22 2017 daviddavid <daviddavid> 3.0.1-1.mga6
+ Revision: 1083072
- new version: 3.0.1
- port to Qt5 (no longer depends on KDE4 libraries)

* Mon Feb 15 2016 umeabot <umeabot> 2.0-1.git20130719.5.mga6
+ Revision: 960664
- Mageia 6 Mass Rebuild

* Sun Aug 30 2015 cjw <cjw> 2.0-1.git20130719.4.mga6
+ Revision: 871193
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 2.0-1.git20130719.3.mga5
+ Revision: 748481
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-1.git20130719.2.mga5
+ Revision: 680443
- Mageia 5 Mass Rebuild

* Sun Dec 29 2013 pterjan <pterjan> 2.0-1.git20130719.1.mga4
+ Revision: 563206
- Switch to git snapshot
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0-0.svn1303855.2.mga3
+ Revision: 354164
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 anssi <anssi> 2.0-0.svn1303855.1.mga3
+ Revision: 300255
- new snapshot
- drop obsolete patch
- update filelist, license, summary, description, group
- drop obsolete provides and buildrequires
- imported package icecream-monitor


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-7mdv2011.0
+ Revision: 611170
- rebuild

* Sun Jan 17 2010 Anssi Hannula <anssi@mandriva.org> 1.0-6mdv2010.1
+ Revision: 492676
- fix icon (refresh icemon.dif from opensuse)
- fix buildrequires on kdevplatform4-devel

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - old directory, without matching package

  + Helio Chissini de Castro <helio@mandriva.com>
    - Raise release to crush old debug packages
    - New version to match current main icecream package
    - Back to original official name
    - New upstream tarball to match current icecream
    - Rebuild to cover missing package

* Tue Aug 26 2008 Helio Chissini de Castro <helio@mandriva.com> 0.1.svn852735-1mdv2009.0
+ Revision: 276218
- New kde4 version of icecream monitor
- import icemon


* Mon Sep 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-04 18:52:57 (59878)
- Old package based on icecream had 2 as epoch number, so needed raise epoch to 3

* Mon Sep 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-04 15:51:09 (59809)
- import icecream-monitor-0.1-1mdv2007.0

* Thu Aug 03 2006 Helio Chissini de Castro <helio@mandriva.com>
- First separated package from main icecream

